// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/wyatt_ui_kit.dart';

/// {@template wyatt_component_theme_data}
/// A class that holds the theme data for the Wyatt UI Kit.
/// {@endtemplate}
abstract class WyattComponentThemeData {
  /// {@macro wyatt_component_theme_data}
  static ComponentThemeData wyattComponentThemeData = ComponentThemeData.raw(
    topAppBars: const TopAppBar().registry(),
    topNavigationBars: const TopNavigationBar().registry(),
    // bottomNavigationBars: ,
    // errors: ,
    loaders: const Loader().registry(),
    richTextBuilders: const RichTextBuilder().registry(),
    textInputs: const TextInput().registry(),
    fileSelectionButtons: const FileSelectionButton().registry(),
    flatButtons: const FlatButton().registry(),
    simpleIconButtons: const SimpleIconButton().registry(),
    symbolButtons: const SymbolButton().registry(),
    informationCards: const InformationCard().registry(),
    portfolioCards: const PortfolioCard().registry(),
    quoteCards: const QuoteCard().registry(),
    skillCards: const SkillCard().registry(),
    pricingCards: const PricingCard().registry(),
  );
}
